# Keystore passwort

Das Keystore und Passwort müssen extra hinzugefügt werden. Keystore irgendwo im Dateisystem ablegen.
Dazu eine Datei 'application-sec.yml' anlegen:

ozgcloud:
  xta:
    keystore:
      store: file:<pfad zum keystore>
      password: <geheim>
      
Den Dienst dann mit dem Spring-Profile 'sec' starten.

# P12 Datei erzeugen und als Umgerbungsvariable umwandeln

Wir haben eine pfx Datei bekommen und wandeln diese in eine P12 Cert Datei um:

    keytool -importkeystore -srckeystore KOP_SH_KIEL_DEV.pfx -srcstoretype pkcs12 -destkeystore KOP_SH_KIEL_DEV.p12 -deststoretype PKCS12

Dann in Base64 umwandeln, damit es als Umgebungsvariable gesetzt werden kann:

    base64 KOP_SH_KIEL_DEV.p12

# Lokale Installation
Lokal das Root CA in keystore laden (https://ddatabox.dataport.de/public/download-shares/XUok5Wk3EDGWyYaoFGldOeJfGu0J8pke):

    sudo keytool -trustcacerts -keystore /lib/jvm/java-1.17.0-openjdk-amd64/lib/security/cacerts -storepass changeit -importcert -alias dataportRoot -file DataportRootCA02.crt

Port forwarding aktivieren. Um eine Verbindung zum Nachrichtenbroker aufbauen zu können, muss diese über den Hetzner-Server geroutet werden:

    ssh -L 3000:[Hetzner-Server-IP]:443 ozg-sh.de (ggf ssh -L 0.0.0.0:3000:[Hetzner-Server-IP]:443 ozg-sh.de)

## Alternative Dataport Zertifikat Installation
Zertifikate direkt vom Endpunkt anfragen: 
```shell
openssl s_client -showcerts -connect li33-0005.dp.dsecurecloud.de:443 </dev/null
```
und das `Dataport Root CA` Zertifikat unter `/etc/ssl/certs/dataport-root-ca.pem` abspeichern, dann `sudo update-ca-certificates` aufrufen.

## deprecated

DEPRECATED, da wir den HostNameVerifier deaktiviert haben: Hosts Datei erzeugen, damit der Hostname passt:

    127.0.0.1 LI33-0005

