package de.ozgcloud.eingang.xta;

import java.net.URI;

import lombok.SneakyThrows;

class XtaPropertiesTestFactory {

	private static final String SERVER_PROTOCOL = "https";
	private static final String SERVER_ADDRESS = "xta-adapter-port-forward-service.ssh-port-forward.svc.cluster.local";

	@SneakyThrows
	static XtaProperties create() {
		XtaProperties properties = new XtaProperties();

		Actions actions = new Actions();
		properties.setActions(actions);
		actions.setFetchRequest(new URI("http://tempuri.local/fetch"));
		actions.setStatusList(new URI("http://tempuri.lcoal/statusList"));

		Server server = new Server();
		properties.setServer(server);
		server.setProtocol(SERVER_PROTOCOL);
		server.setAddress(SERVER_ADDRESS);

		return properties;

	}
}
